RDKit: RDCatalog::LinearCatalog< entryType, orderType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDCatalog::LinearCatalog< entryType, orderType > Class Template Reference

a linear Catalog (analogous to an std::vector) More...

`#include <Catalog.h>`

Inheritance diagram for RDCatalog::LinearCatalog< entryType, orderType >:

## Public Member Functions
std::string | Serialize ()
unsigned int | addEntry (entryType *entry, bool updateFPLength=true)
| adds an entry to the catalog More...
const entryType * | getEntryWithIdx (unsigned int idx) const
| returns a particular entry in the Catalog More...
Public Member Functions inherited from RDCatalog::Catalog< entryType, orderType >
| Catalog ()
virtual | ~Catalog ()
virtual std::string | Serialize () const =0
| return a serialized form of the Catalog as an std::string More...
virtual unsigned int | getNumEntries () const =0
| returns the number of entries More...
unsigned int | getFPLength () const
| returns the length of our fingerprint More...
void | setFPLength (unsigned int val)
| sets our fingerprint length More...
virtual void | setCatalogParams (orderType *params)
| sets our parameters by copying the `params` argument More...
const orderType * | getCatalogParams () const
| returns a pointer to our parameters More...

## Additional Inherited Members
Public Types inherited from RDCatalog::Catalog< entryType, orderType >
typedef entryType | entryType_t
typedef orderType | paramType_t
Protected Attributes inherited from RDCatalog::Catalog< entryType, orderType >
unsigned int | d_fpLength
| the length of our fingerprint More...
orderType * | dp_cParams
| our params object More...

## Detailed Description

### template<class entryType, class orderType>
class RDCatalog::LinearCatalog< entryType, orderType >

a linear Catalog (analogous to an std::vector)

Here there is no particular hierarchy, simply a collection of entries.

Definition at line 460 of file Catalog.h.

## Member Function Documentation

template<class entryType , class orderType >

unsigned int RDCatalog::LinearCatalog< entryType, orderType >::addEntry | ( | entryType * | entry,
|  | bool | updateFPLength = `true`
| ) |  |
| virtual

adds an entry to the catalog

Parameters

  entry | the entry to be added
  updateFPLength | (optional) if this is true, our internal fingerprint length will also be updated.

Implements RDCatalog::Catalog< entryType, orderType >.

template<class entryType , class orderType >

const entryType* RDCatalog::LinearCatalog< entryType, orderType >::getEntryWithIdx | ( | unsigned int | idx | ) | const
| virtual

returns a particular entry in the Catalog

Implements RDCatalog::Catalog< entryType, orderType >.

template<class entryType , class orderType >

std::string RDCatalog::LinearCatalog< entryType, orderType >::Serialize | ( |  | ) |

The documentation for this class was generated from the following file:

- Catalog.h